import { _decorator, Node, Component, Button } from 'cc';
import { changeScene } from "db://assets/core/Module/UIFast";
import { HomeScene } from "db://assets/Scripts/Scenes/HomeScene";

const { ccclass, property } = _decorator;

@ccclass('GameUI')
export class GameUI extends Component {

    @property(Node) backBtn: Node = null;

    onLoad() {
        this.backBtn.on(Button.EventType.CLICK, this.clickBack, this);
    }

    clickBack = () => {
        changeScene(HomeScene);
    }

    onDestroy() {

    }


}


